# bazarr
Bazarr is a companion application to Sonarr and Radarr. It can manage and download subtitles based on your requirements. You define your preferences by TV show or movie and Bazarr takes care of everything for you.

Be aware that Bazarr doesn't scan disk to detect series and movies: It only takes care of the series and movies that are indexed in Sonarr and Radarr.

# Status
[![Build status](https://travis-ci.org/morpheus65535/bazarr.svg?branch=master)](https://travis-ci.org/morpheus65535/bazarr)
[![GitHub issues](https://img.shields.io/github/issues/morpheus65535/bazarr.svg?style=flat-square)](https://github.com/morpheus65535/bazarr/issues)
[![GitHub stars](https://img.shields.io/github/stars/morpheus65535/bazarr.svg?style=flat-square)](https://github.com/morpheus65535/bazarr/stargazers)
[![Docker Pulls](https://img.shields.io/docker/pulls/morpheus65535/bazarr.svg?style=flat-square)](https://hub.docker.com/r/morpheus65535/bazarr/)
[![Discord](https://img.shields.io/badge/discord-chat-MH2e2eb.svg?style=flat-square)](https://discord.gg/MH2e2eb)

# Support
For installation and configuration instructions, see [wiki](https://github.com/morpheus65535/bazarr/wiki).

If you find a bug, please open an issue on [Github](https://github.com/morpheus65535/bazarr/issues).

You can also reach me on [Discord](https://discord.gg/MH2e2eb).

# Feature Requests
If you need something that is not already part of Bazarr, feel free to create a feature request on [Github](https://github.com/morpheus65535/bazarr/issues).

## Major Features Include:

* Support for major platforms: Windows, Linux, macOS, Raspberry Pi, etc.
* Automatically add new series and episodes from Sonarr
* Automatically add new movies and episodes from Radarr
* Series or movies based configuration for subtitles languages
* Scan your existing library for internal and external subtitles and download any missing
* Keep history of what was downloaded from where and when
* Manual search so you can download subtitles on demand
* Ability to delete external subtitles from disk
* Currently support 184 subtitles languages
* And a beautiful UI based on Sonarr

## Supported subtitles providers:
* addic7ed
* legendastv
* opensubtitles
* podnapisi
* shooter
* thesubdb
* tvsubtitles

## Screenshot

You can get more in the [screenshot](https://github.com/morpheus65535/bazarr/tree/master/screenshot) directory but it should look familiar:

![Series](/screenshot/series.png?raw=true "Series")

### License

* [GNU GPL v3](http://www.gnu.org/licenses/gpl.html)
* Copyright 2010-2017
